# Adyen

## Requirements

In order to integrate Teleskope with Adyen for DSR requests, you must have

* Your Adyen **API key**. Follow Adyen's docs for [steps to retrieve this key](https://developers.bazaarvoice.com/v1.0-PrivacyAPI/docs/api-key-management#request-api-keys-via-the-api-key-management-application)
* Your Adyen **Merchant Account**.
* Your Adyen **CA Domain** (by default we use <https://ca-live.adyen.com>)
* The dataset reference to the pspReference of the original payment authorization which maps to the desired user identifier (e.g email).

### Integrating with Adyen

To integrate Teleskope with Adyen

1. Navigate to **Data Subject Rights** → **Third Party Integrations** and pick Adyen
2. Enter the required fields for the integration and click Next
3. Choose alternative user identifier and define the mapping to the pspReference

### Enroll Adyen for deletion or access requests

The following endpoints are available for deletion or access requests

| Request Type | Endpoint Name in Adyen                                                                   | Endpoint Name in Teleskope |
| ------------ | ---------------------------------------------------------------------------------------- | -------------------------- |
| **Deletion** | [Data Protection API](https://docs.adyen.com/development-resources/data-protection-api/) | Data Protection API        |

### Parameter Defaults

Teleskope’s Adyen integration uses Adyen’s Data Protection API to request subject erasure. The following parameters are included by default:

| Parameter Name   | Default Value               | Notes                                                        |
| ---------------- | --------------------------- | ------------------------------------------------------------ |
| **forceErasure** | true                        | Always included. Ensures Adyen removes *all* available data. |
| **caDomain**     | <https://ca-live.adyen.com> | Default Adyen CA domain. Can be overridden for testing.      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teleskope.ai/the-platform/data-subject-rights/enroll-third-party-integrations/adyen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
